<?php
  $ruta="../../../";
  include_once($ruta."class/dominio.php");
  $dominio=new dominio;
  include_once($ruta."class/vadmejecutivo.php");
  $vadmejecutivo=new vadmejecutivo;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/ciclo.php");
  $ciclo=new ciclo;
   include_once($ruta."class/grupocredito.php");
  $grupocredito=new grupocredito;
  include_once($ruta."class/credito.php");
  $credito=new credito;
  include_once($ruta."class/creditointerno.php");
  $creditointerno=new creditointerno;
  include_once($ruta."class/creditodetalle.php");
  $creditodetalle=new creditodetalle;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;
  include_once($ruta."class/creditomov.php");
  $creditomov=new creditomov;
  include_once($ruta."class/usuario.php");
  $usuario=new usuario;
  include_once($ruta."funciones/funciones.php");
  session_start();
  extract($_GET);
  //********* SEGURIDAD GET *************/
  //echo "Haber como furula";
  //echo $valor;
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <?php
      $hd_titulo="Lista de grupos con crédito";
      include_once($ruta."includes/head_basico.php");
      include_once($ruta."includes/head_tabla.php");
      include_once($ruta."includes/head_tablax.php");
    ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1042;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
                <div class="col s12 m12 l12">
                  <h5 class="breadcrumbs-title"><i class="fa fa-tag"></i> <?php echo $hd_titulo; ?></h5>
                </div>
              </div>
            </div>
          </div>
          <div class="container">
            <div class="section">
              <div class="col s12 m12 l12">
                <table id="example2" class="display datatble" cellspacing="0" width="100%">
                  <thead>
                    <tr>
                      <th>Cod</th>
                      <th>CARNET</th> 
                      <th>NOMBRE</th>
                      <th>CREDITO INTERNO.</th>
                      <th>SALDO CR. INT.</th>
                      <th>DEVOLUCION</th>
                      <th>INTERES </th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php
                    foreach($credito->mostrarTodo("montoCI>0 and tipocredito=0") as $f)
                    {
                      $idcredito=$f['idcredito'];
                      $dper=$persona->muestra($f['idpersona']);
                      $dgr=$grupo->muestra($f['idcredito']);
                      $interesCred=$f['montoCI']*(0.05);//interes para crediamigo
                      $interesCred=number_format($interesCred, 2, '.', '');

                      $interesCli=$f['montoCI']*0.035;//interes para devolver a cliente
                      $interesCli=number_format($interesCli, 2, '.', '');
                      switch ($f['estadocobro']) { 
                        case '0':
                          $estilo="background-color: #EAFAF1;";
                        break;
                        case '1':
                          $estilo="background-color: #ffc6c6;";
                        break;
                      }
                      $eje=$vadmejecutivo->muestra($dgr['idadmejecutivo']);
                      $lblcod=ecUrl($f['idcredito']);
                      $dci=$creditointerno->mostrarUltimo("idcredito=".$f['idcredito']);

                      $interesCredM=$f['montoCI']*(0.05);//interes para crediamigo
                      $interesCredM=number_format($interesCredM, 2, '.', '');

                      $interesCliM=$f['montoCI']*0.035;//interes para devolver a cliente
                      $interesCliM=number_format($interesCliM, 2, '.', '');

                      $interesCredi=$f['montoCI']*0.015;//interes para devolver a cliente
                      $interesCredi=number_format($interesCredi, 2, '.', '');

                      /***********  PRIMERO  Actualizar la tabla Credito  ************/
                      $valcreditoP=array(
                        "interesDevCI"=>"'$interesCli'",
                        "interesCI"=>"'$interesCred'",
                      );
                      $credito->actualizar($valcreditoP,$idcredito);

                      $valcreditoP=array(
                        'interesCred'=>"'$interesCredi'",
                        'interesCli'=>"'$interesCli'",
                        'interescobrado'=>"'$interesCredM'",
                        'interesadevolver'=>"'$interesCli'",
                      );
                      $creditointerno->actualizar($valcreditoP,$dci['idcreditointerno']);
                      /*********** Segundo actualizar la tabla Credito Interno  *********/

                      ?>
                        <tr style="<?php echo $estilo ?>">
                          <td><?php echo $f['idcredito'] ?></td>
                          <td><?php echo $dper['carnet'].$dper['expedido'] ?></td>
                          <td><?php echo $dper['nombre']." ".$dper['paterno']." ".$dper['materno'] ?></td>
                          <td><?php echo $f['montoCI'] ?></td>
                          <td><?php echo $f['saldoCI'] ?></td>
                          <td>
                            <?php echo $f['interesDevCI']." = ".$interesCli ?><br>
                            <?php echo $dci['interesCli']." = ".$interesCliM ?>
                            
                          </td>
                          <td>
                            <?php echo $f['interesCI']." = ".$interesCred ?><br>
                            <?php echo $dci['interescobrado']." = ".$interesCredM ?>
                          </td>
                        </tr>
                      <?php
                      }
                    ?>
                  </tbody>
                </table>
              </div>
            </div>     
            </div>

          </div>
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
      $(document).ready(function() {
        $('#example2').DataTable( {
          dom: 'Bfrtip',
          buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
          ]
        });
      });
    </script>
</body>

</html>